ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.41 by root, Mon Nov 8 22:20:25 2004 UTC vs.
Revision 1.49 by root, Wed Feb 2 08:09:23 2005 UTC

465#endif 465#endif
466#if HAVE_UNISTD_H 466#if HAVE_UNISTD_H
467# include <unistd.h> 467# include <unistd.h>
468#endif" 468#endif"
469 469
470ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP build build_cpu build_vendor build_os host host_cpu host_vendor host_os LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 470ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP LN_S ECHO RANLIB ac_ct_RANLIB STRIP ac_ct_STRIP LIBTOOL INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
471ac_subst_files='MCOMMON' 471ac_subst_files='MCOMMON'
472 472
473# Initialize some variables set by options. 473# Initialize some variables set by options.
474ac_init_help= 474ac_init_help=
475ac_init_version=false 475ac_init_version=false
1057 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 1057 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
1058 --enable-strings enable some replacement system functions 1058 --enable-strings enable some replacement system functions
1059 --disable-swapscreen disable swap screen support 1059 --disable-swapscreen disable swap screen support
1060 --enable-iso14755 enable support for extended ISO 14755 modes 1060 --enable-iso14755 enable support for extended ISO 14755 modes
1061 --enable-frills enable support for rarely used features 1061 --enable-frills enable support for rarely used features
1062 --enable-linespace enable support for linespace
1063 --enable-24bit enable support for using 24bit visuals if available 1062 --enable-24bit enable support for using 24bit visuals if available
1064 --enable-keepscrolling enable continual scrolling on scrollbar arrow press 1063 --enable-keepscrolling enable continual scrolling on scrollbar arrow press
1065 --enable-selectionscrolling enable scrolling during selections 1064 --enable-selectionscrolling enable scrolling during selections
1066 --enable-mousewheel enable scrolling via mouse wheel or buttons 4 & 5 1065 --enable-mousewheel enable scrolling via mouse wheel or buttons 4 & 5
1067 --enable-slipwheeling enable slip wheel scrolling (requires previous) 1066 --enable-slipwheeling enable slip wheel scrolling (requires previous)
1566ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure. 1565ac_configure="$SHELL $ac_aux_dir/configure" # This should be Cygnus configure.
1567 1566
1568 ac_config_headers="$ac_config_headers config.h:autoconf/config.h.in" 1567 ac_config_headers="$ac_config_headers config.h:autoconf/config.h.in"
1569 1568
1570 1569
1570# Make sure we can run config.sub.
1571$ac_config_sub sun4 >/dev/null 2>&1 ||
1572 { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
1573echo "$as_me: error: cannot run $ac_config_sub" >&2;}
1574 { (exit 1); exit 1; }; }
1575
1576echo "$as_me:$LINENO: checking build system type" >&5
1577echo $ECHO_N "checking build system type... $ECHO_C" >&6
1578if test "${ac_cv_build+set}" = set; then
1579 echo $ECHO_N "(cached) $ECHO_C" >&6
1580else
1581 ac_cv_build_alias=$build_alias
1582test -z "$ac_cv_build_alias" &&
1583 ac_cv_build_alias=`$ac_config_guess`
1584test -z "$ac_cv_build_alias" &&
1585 { { echo "$as_me:$LINENO: error: cannot guess build type; you must specify one" >&5
1586echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
1587 { (exit 1); exit 1; }; }
1588ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
1589 { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_build_alias failed" >&5
1590echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed" >&2;}
1591 { (exit 1); exit 1; }; }
1592
1593fi
1594echo "$as_me:$LINENO: result: $ac_cv_build" >&5
1595echo "${ECHO_T}$ac_cv_build" >&6
1596build=$ac_cv_build
1597build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
1598build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
1599build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
1600
1601
1602echo "$as_me:$LINENO: checking host system type" >&5
1603echo $ECHO_N "checking host system type... $ECHO_C" >&6
1604if test "${ac_cv_host+set}" = set; then
1605 echo $ECHO_N "(cached) $ECHO_C" >&6
1606else
1607 ac_cv_host_alias=$host_alias
1608test -z "$ac_cv_host_alias" &&
1609 ac_cv_host_alias=$ac_cv_build_alias
1610ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
1611 { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_host_alias failed" >&5
1612echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
1613 { (exit 1); exit 1; }; }
1614
1615fi
1616echo "$as_me:$LINENO: result: $ac_cv_host" >&5
1617echo "${ECHO_T}$ac_cv_host" >&6
1618host=$ac_cv_host
1619host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
1620host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
1621host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
1622
1623
1624
1571VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1625VERSION=`sed -n -e 's/^.*[ \t]VERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1572DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1626DATE=`sed -n -e 's/^.*[ \t]DATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1573LSMDATE=`sed -n -e 's/^.*[ \t]LSMDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1627LSMDATE=`sed -n -e 's/^.*[ \t]LSMDATE.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1574LIBVERSION=`sed -n -e 's/^.*[ \t]LIBVERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h` 1628LIBVERSION=`sed -n -e 's/^.*[ \t]LIBVERSION.*"\(.*\)"$/\1/p' ${srcdir}/src/version.h`
1575echo "" 1629echo ""
3211ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3265ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3212ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 3266ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3213ac_compiler_gnu=$ac_cv_c_compiler_gnu 3267ac_compiler_gnu=$ac_cv_c_compiler_gnu
3214 3268
3215 3269
3270if test -z "$orig_CXXFLAGS"; then
3271 CXXFLAGS='-O'
3272 if test x$GCC = xyes && test "x$GXX" = xyes; then
3273 CXXFLAGS="-g -O3"
3274 fi
3275 CFLAGS="$CXXFLAGS"
3276fi
3277
3216LINKER="$CXX" 3278LINKER="$CXX"
3217if test x$GCC = xyes && test x$GXX = xyes; then 3279if test x$GCC = xyes && test x$GXX = xyes; then
3218 3280
3219echo "$as_me:$LINENO: checking for main in -lsupc++" >&5 3281echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3220echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6 3282echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3282 3344
3283fi 3345fi
3284LINKER=$LINKER 3346LINKER=$LINKER
3285 3347
3286 3348
3287CPPFLAGS="-D_GNU_SOURCE -D_XOPEN_SOURCE" 3349
3350cat >>confdefs.h <<\_ACEOF
3351#define _GNU_SOURCE 1
3352_ACEOF
3353
3354
3355case $host in
3356 *-*-solaris* )
3357
3358cat >>confdefs.h <<\_ACEOF
3359#define _XOPEN_SOURCE_EXTENDED 1
3360_ACEOF
3361
3362
3363cat >>confdefs.h <<\_ACEOF
3364#define _XOPEN_SOURCE 2
3365_ACEOF
3366
3367
3368cat >>confdefs.h <<\_ACEOF
3369#define __EXTENSIONS__ 1
3370_ACEOF
3371
3372 ;;
3373esac
3288 3374
3289 3375
3290ac_ext=cc 3376ac_ext=cc
3291ac_cpp='$CXXCPP $CPPFLAGS' 3377ac_cpp='$CXXCPP $CPPFLAGS'
3292ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3378ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3960 ;; 4046 ;;
3961esac 4047esac
3962else 4048else
3963 enable_fast_install=yes 4049 enable_fast_install=yes
3964fi; 4050fi;
3965# Make sure we can run config.sub.
3966$ac_config_sub sun4 >/dev/null 2>&1 ||
3967 { { echo "$as_me:$LINENO: error: cannot run $ac_config_sub" >&5
3968echo "$as_me: error: cannot run $ac_config_sub" >&2;}
3969 { (exit 1); exit 1; }; }
3970
3971echo "$as_me:$LINENO: checking build system type" >&5
3972echo $ECHO_N "checking build system type... $ECHO_C" >&6
3973if test "${ac_cv_build+set}" = set; then
3974 echo $ECHO_N "(cached) $ECHO_C" >&6
3975else
3976 ac_cv_build_alias=$build_alias
3977test -z "$ac_cv_build_alias" &&
3978 ac_cv_build_alias=`$ac_config_guess`
3979test -z "$ac_cv_build_alias" &&
3980 { { echo "$as_me:$LINENO: error: cannot guess build type; you must specify one" >&5
3981echo "$as_me: error: cannot guess build type; you must specify one" >&2;}
3982 { (exit 1); exit 1; }; }
3983ac_cv_build=`$ac_config_sub $ac_cv_build_alias` ||
3984 { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_build_alias failed" >&5
3985echo "$as_me: error: $ac_config_sub $ac_cv_build_alias failed" >&2;}
3986 { (exit 1); exit 1; }; }
3987
3988fi
3989echo "$as_me:$LINENO: result: $ac_cv_build" >&5
3990echo "${ECHO_T}$ac_cv_build" >&6
3991build=$ac_cv_build
3992build_cpu=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
3993build_vendor=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
3994build_os=`echo $ac_cv_build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
3995
3996
3997echo "$as_me:$LINENO: checking host system type" >&5
3998echo $ECHO_N "checking host system type... $ECHO_C" >&6
3999if test "${ac_cv_host+set}" = set; then
4000 echo $ECHO_N "(cached) $ECHO_C" >&6
4001else
4002 ac_cv_host_alias=$host_alias
4003test -z "$ac_cv_host_alias" &&
4004 ac_cv_host_alias=$ac_cv_build_alias
4005ac_cv_host=`$ac_config_sub $ac_cv_host_alias` ||
4006 { { echo "$as_me:$LINENO: error: $ac_config_sub $ac_cv_host_alias failed" >&5
4007echo "$as_me: error: $ac_config_sub $ac_cv_host_alias failed" >&2;}
4008 { (exit 1); exit 1; }; }
4009
4010fi
4011echo "$as_me:$LINENO: result: $ac_cv_host" >&5
4012echo "${ECHO_T}$ac_cv_host" >&6
4013host=$ac_cv_host
4014host_cpu=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
4015host_vendor=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
4016host_os=`echo $ac_cv_host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
4017
4018
4019 4051
4020# Check whether --with-gnu-ld or --without-gnu-ld was given. 4052# Check whether --with-gnu-ld or --without-gnu-ld was given.
4021if test "${with_gnu_ld+set}" = set; then 4053if test "${with_gnu_ld+set}" = set; then
4022 withval="$with_gnu_ld" 4054 withval="$with_gnu_ld"
4023 test "$withval" = no || with_gnu_ld=yes 4055 test "$withval" = no || with_gnu_ld=yes
5238# Some flags need to be propagated to the compiler or linker for good 5270# Some flags need to be propagated to the compiler or linker for good
5239# libtool support. 5271# libtool support.
5240case "$host" in 5272case "$host" in
5241*-*-irix6*) 5273*-*-irix6*)
5242 # Find out which ABI we are using. 5274 # Find out which ABI we are using.
5243 echo '#line 5243 "configure"' > conftest.$ac_ext 5275 echo '#line 5275 "configure"' > conftest.$ac_ext
5244 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 5276 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5245 (eval $ac_compile) 2>&5 5277 (eval $ac_compile) 2>&5
5246 ac_status=$? 5278 ac_status=$?
5247 echo "$as_me:$LINENO: \$? = $ac_status" >&5 5279 echo "$as_me:$LINENO: \$? = $ac_status" >&5
5248 (exit $ac_status); }; then 5280 (exit $ac_status); }; then
5789# builds. 5821# builds.
5790chmod -w . 5822chmod -w .
5791save_CFLAGS="$CFLAGS" 5823save_CFLAGS="$CFLAGS"
5792CFLAGS="$CFLAGS -o out/conftest2.$ac_objext" 5824CFLAGS="$CFLAGS -o out/conftest2.$ac_objext"
5793compiler_c_o=no 5825compiler_c_o=no
5794if { (eval echo configure:5794: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then 5826if { (eval echo configure:5826: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>out/conftest.err; } && test -s out/conftest2.$ac_objext; then
5795 # The compiler can only warn and ignore the option if not recognized 5827 # The compiler can only warn and ignore the option if not recognized
5796 # So say no if there are warnings 5828 # So say no if there are warnings
5797 if test -s out/conftest.err; then 5829 if test -s out/conftest.err; then
5798 compiler_c_o=no 5830 compiler_c_o=no
5799 else 5831 else
7405 lt_cv_dlopen_self=cross 7437 lt_cv_dlopen_self=cross
7406else 7438else
7407 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 7439 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7408 lt_status=$lt_dlunknown 7440 lt_status=$lt_dlunknown
7409 cat > conftest.$ac_ext <<EOF 7441 cat > conftest.$ac_ext <<EOF
7410#line 7410 "configure" 7442#line 7442 "configure"
7411#include "confdefs.h" 7443#include "confdefs.h"
7412 7444
7413#if HAVE_DLFCN_H 7445#if HAVE_DLFCN_H
7414#include <dlfcn.h> 7446#include <dlfcn.h>
7415#endif 7447#endif
7503 lt_cv_dlopen_self_static=cross 7535 lt_cv_dlopen_self_static=cross
7504else 7536else
7505 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2 7537 lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
7506 lt_status=$lt_dlunknown 7538 lt_status=$lt_dlunknown
7507 cat > conftest.$ac_ext <<EOF 7539 cat > conftest.$ac_ext <<EOF
7508#line 7508 "configure" 7540#line 7540 "configure"
7509#include "confdefs.h" 7541#include "confdefs.h"
7510 7542
7511#if HAVE_DLFCN_H 7543#if HAVE_DLFCN_H
7512#include <dlfcn.h> 7544#include <dlfcn.h>
7513#endif 7545#endif
8234 8266
8235 8267
8236MALLOC_TYPE=S 8268MALLOC_TYPE=S
8237support_addstrings=no 8269support_addstrings=no
8238support_frills=no 8270support_frills=no
8239support_linespace=no
8240support_inheritpixmap=no 8271support_inheritpixmap=no
8241support_tinting=no 8272support_tinting=no
8242support_fading=no 8273support_fading=no
8243support_keepscrolling=no 8274support_keepscrolling=no
8244support_selectionscrolling=no 8275support_selectionscrolling=no
8280if test "${enable_everything+set}" = set; then 8311if test "${enable_everything+set}" = set; then
8281 enableval="$enable_everything" 8312 enableval="$enable_everything"
8282 if test x$enableval = xyes; then 8313 if test x$enableval = xyes; then
8283 support_24bit=yes 8314 support_24bit=yes
8284 support_frills=yes 8315 support_frills=yes
8285 support_linespace=yes
8286 support_inheritpixmap=yes 8316 support_inheritpixmap=yes
8287 support_tinting=yes 8317 support_tinting=yes
8288 support_fading=yes 8318 support_fading=yes
8289 support_keepscrolling=yes 8319 support_keepscrolling=yes
8290 support_selectionscrolling=yes 8320 support_selectionscrolling=yes
8631 if test x$enableval = xyes -o x$enableval = xno; then 8661 if test x$enableval = xyes -o x$enableval = xno; then
8632 support_frills=$enableval 8662 support_frills=$enableval
8633 fi 8663 fi
8634fi; 8664fi;
8635 8665
8636# Check whether --enable-linespace or --disable-linespace was given.
8637if test "${enable_linespace+set}" = set; then
8638 enableval="$enable_linespace"
8639 if test x$enableval = xyes -o x$enableval = xno; then
8640 support_linespace=$enableval
8641 fi
8642fi;
8643
8644# Check whether --enable-24bit or --disable-24bit was given. 8666# Check whether --enable-24bit or --disable-24bit was given.
8645if test "${enable_24bit+set}" = set; then 8667if test "${enable_24bit+set}" = set; then
8646 enableval="$enable_24bit" 8668 enableval="$enable_24bit"
8647 if test x$enableval = xyes -o x$enableval = xno; then 8669 if test x$enableval = xyes -o x$enableval = xno; then
8648 support_24bit=$enableval 8670 support_24bit=$enableval
8769 8791
8770cat >>confdefs.h <<\_ACEOF 8792cat >>confdefs.h <<\_ACEOF
8771#define PROTOTYPES 1 8793#define PROTOTYPES 1
8772_ACEOF 8794_ACEOF
8773 8795
8774
8775if test -z "$CFLAGS"; then
8776 if test -z "$CCOPTS"; then
8777 CCOPTS='-O'
8778 fi
8779 CFLAGS="$CCOPTS"
8780fi
8781 8796
8782# Extract the first word of "mv", so it can be a program name with args. 8797# Extract the first word of "mv", so it can be a program name with args.
8783set dummy mv; ac_word=$2 8798set dummy mv; ac_word=$2
8784echo "$as_me:$LINENO: checking for $ac_word" >&5 8799echo "$as_me:$LINENO: checking for $ac_word" >&5
8785echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6 8800echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
10966 10981
10967 10982
10968 10983
10969 10984
10970 10985
10986
10971for ac_header in \ 10987for ac_header in \
10972 assert.h \ 10988 assert.h \
10973 fcntl.h \ 10989 fcntl.h \
10974 grp.h \ 10990 grp.h \
10975 libc.h \ 10991 libc.h \
10987 sys/stropts.h \ 11003 sys/stropts.h \
10988 sys/time.h \ 11004 sys/time.h \
10989 utmp.h \ 11005 utmp.h \
10990 utmpx.h \ 11006 utmpx.h \
10991 stdint.h \ 11007 stdint.h \
11008 pty.h \
10992 11009
10993do 11010do
10994as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 11011as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10995if eval "test \"\${$as_ac_Header+set}\" = set"; then 11012if eval "test \"\${$as_ac_Header+set}\" = set"; then
10996 echo "$as_me:$LINENO: checking for $ac_header" >&5 11013 echo "$as_me:$LINENO: checking for $ac_header" >&5
11780_ACEOF 11797_ACEOF
11781 11798
11782fi 11799fi
11783 11800
11784 11801
11785echo "$as_me:$LINENO: checking for char" >&5
11786echo $ECHO_N "checking for char... $ECHO_C" >&6
11787if test "${ac_cv_type_char+set}" = set; then
11788 echo $ECHO_N "(cached) $ECHO_C" >&6
11789else
11790 cat >conftest.$ac_ext <<_ACEOF
11791/* confdefs.h. */
11792_ACEOF
11793cat confdefs.h >>conftest.$ac_ext
11794cat >>conftest.$ac_ext <<_ACEOF
11795/* end confdefs.h. */
11796$ac_includes_default
11797int
11798main ()
11799{
11800if ((char *) 0)
11801 return 0;
11802if (sizeof (char))
11803 return 0;
11804 ;
11805 return 0;
11806}
11807_ACEOF
11808rm -f conftest.$ac_objext
11809if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11810 (eval $ac_compile) 2>conftest.er1
11811 ac_status=$?
11812 grep -v '^ *+' conftest.er1 >conftest.err
11813 rm -f conftest.er1
11814 cat conftest.err >&5
11815 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11816 (exit $ac_status); } &&
11817 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11818 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11819 (eval $ac_try) 2>&5
11820 ac_status=$?
11821 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11822 (exit $ac_status); }; } &&
11823 { ac_try='test -s conftest.$ac_objext'
11824 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11825 (eval $ac_try) 2>&5
11826 ac_status=$?
11827 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11828 (exit $ac_status); }; }; then
11829 ac_cv_type_char=yes
11830else
11831 echo "$as_me: failed program was:" >&5
11832sed 's/^/| /' conftest.$ac_ext >&5
11833
11834ac_cv_type_char=no
11835fi
11836rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11837fi
11838echo "$as_me:$LINENO: result: $ac_cv_type_char" >&5
11839echo "${ECHO_T}$ac_cv_type_char" >&6
11840
11841echo "$as_me:$LINENO: checking size of char" >&5
11842echo $ECHO_N "checking size of char... $ECHO_C" >&6
11843if test "${ac_cv_sizeof_char+set}" = set; then
11844 echo $ECHO_N "(cached) $ECHO_C" >&6
11845else
11846 if test "$ac_cv_type_char" = yes; then
11847 # The cast to unsigned long works around a bug in the HP C Compiler
11848 # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
11849 # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
11850 # This bug is HP SR number 8606223364.
11851 if test "$cross_compiling" = yes; then
11852 # Depending upon the size, compute the lo and hi bounds.
11853cat >conftest.$ac_ext <<_ACEOF
11854/* confdefs.h. */
11855_ACEOF
11856cat confdefs.h >>conftest.$ac_ext
11857cat >>conftest.$ac_ext <<_ACEOF
11858/* end confdefs.h. */
11859$ac_includes_default
11860int
11861main ()
11862{
11863static int test_array [1 - 2 * !(((long) (sizeof (char))) >= 0)];
11864test_array [0] = 0
11865
11866 ;
11867 return 0;
11868}
11869_ACEOF
11870rm -f conftest.$ac_objext
11871if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11872 (eval $ac_compile) 2>conftest.er1
11873 ac_status=$?
11874 grep -v '^ *+' conftest.er1 >conftest.err
11875 rm -f conftest.er1
11876 cat conftest.err >&5
11877 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11878 (exit $ac_status); } &&
11879 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11880 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11881 (eval $ac_try) 2>&5
11882 ac_status=$?
11883 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11884 (exit $ac_status); }; } &&
11885 { ac_try='test -s conftest.$ac_objext'
11886 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11887 (eval $ac_try) 2>&5
11888 ac_status=$?
11889 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11890 (exit $ac_status); }; }; then
11891 ac_lo=0 ac_mid=0
11892 while :; do
11893 cat >conftest.$ac_ext <<_ACEOF
11894/* confdefs.h. */
11895_ACEOF
11896cat confdefs.h >>conftest.$ac_ext
11897cat >>conftest.$ac_ext <<_ACEOF
11898/* end confdefs.h. */
11899$ac_includes_default
11900int
11901main ()
11902{
11903static int test_array [1 - 2 * !(((long) (sizeof (char))) <= $ac_mid)];
11904test_array [0] = 0
11905
11906 ;
11907 return 0;
11908}
11909_ACEOF
11910rm -f conftest.$ac_objext
11911if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11912 (eval $ac_compile) 2>conftest.er1
11913 ac_status=$?
11914 grep -v '^ *+' conftest.er1 >conftest.err
11915 rm -f conftest.er1
11916 cat conftest.err >&5
11917 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11918 (exit $ac_status); } &&
11919 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11920 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11921 (eval $ac_try) 2>&5
11922 ac_status=$?
11923 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11924 (exit $ac_status); }; } &&
11925 { ac_try='test -s conftest.$ac_objext'
11926 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11927 (eval $ac_try) 2>&5
11928 ac_status=$?
11929 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11930 (exit $ac_status); }; }; then
11931 ac_hi=$ac_mid; break
11932else
11933 echo "$as_me: failed program was:" >&5
11934sed 's/^/| /' conftest.$ac_ext >&5
11935
11936ac_lo=`expr $ac_mid + 1`
11937 if test $ac_lo -le $ac_mid; then
11938 ac_lo= ac_hi=
11939 break
11940 fi
11941 ac_mid=`expr 2 '*' $ac_mid + 1`
11942fi
11943rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
11944 done
11945else
11946 echo "$as_me: failed program was:" >&5
11947sed 's/^/| /' conftest.$ac_ext >&5
11948
11949cat >conftest.$ac_ext <<_ACEOF
11950/* confdefs.h. */
11951_ACEOF
11952cat confdefs.h >>conftest.$ac_ext
11953cat >>conftest.$ac_ext <<_ACEOF
11954/* end confdefs.h. */
11955$ac_includes_default
11956int
11957main ()
11958{
11959static int test_array [1 - 2 * !(((long) (sizeof (char))) < 0)];
11960test_array [0] = 0
11961
11962 ;
11963 return 0;
11964}
11965_ACEOF
11966rm -f conftest.$ac_objext
11967if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
11968 (eval $ac_compile) 2>conftest.er1
11969 ac_status=$?
11970 grep -v '^ *+' conftest.er1 >conftest.err
11971 rm -f conftest.er1
11972 cat conftest.err >&5
11973 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11974 (exit $ac_status); } &&
11975 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11976 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11977 (eval $ac_try) 2>&5
11978 ac_status=$?
11979 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11980 (exit $ac_status); }; } &&
11981 { ac_try='test -s conftest.$ac_objext'
11982 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11983 (eval $ac_try) 2>&5
11984 ac_status=$?
11985 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11986 (exit $ac_status); }; }; then
11987 ac_hi=-1 ac_mid=-1
11988 while :; do
11989 cat >conftest.$ac_ext <<_ACEOF
11990/* confdefs.h. */
11991_ACEOF
11992cat confdefs.h >>conftest.$ac_ext
11993cat >>conftest.$ac_ext <<_ACEOF
11994/* end confdefs.h. */
11995$ac_includes_default
11996int
11997main ()
11998{
11999static int test_array [1 - 2 * !(((long) (sizeof (char))) >= $ac_mid)];
12000test_array [0] = 0
12001
12002 ;
12003 return 0;
12004}
12005_ACEOF
12006rm -f conftest.$ac_objext
12007if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12008 (eval $ac_compile) 2>conftest.er1
12009 ac_status=$?
12010 grep -v '^ *+' conftest.er1 >conftest.err
12011 rm -f conftest.er1
12012 cat conftest.err >&5
12013 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12014 (exit $ac_status); } &&
12015 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12016 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12017 (eval $ac_try) 2>&5
12018 ac_status=$?
12019 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12020 (exit $ac_status); }; } &&
12021 { ac_try='test -s conftest.$ac_objext'
12022 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12023 (eval $ac_try) 2>&5
12024 ac_status=$?
12025 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12026 (exit $ac_status); }; }; then
12027 ac_lo=$ac_mid; break
12028else
12029 echo "$as_me: failed program was:" >&5
12030sed 's/^/| /' conftest.$ac_ext >&5
12031
12032ac_hi=`expr '(' $ac_mid ')' - 1`
12033 if test $ac_mid -le $ac_hi; then
12034 ac_lo= ac_hi=
12035 break
12036 fi
12037 ac_mid=`expr 2 '*' $ac_mid`
12038fi
12039rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12040 done
12041else
12042 echo "$as_me: failed program was:" >&5
12043sed 's/^/| /' conftest.$ac_ext >&5
12044
12045ac_lo= ac_hi=
12046fi
12047rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12048fi
12049rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12050# Binary search between lo and hi bounds.
12051while test "x$ac_lo" != "x$ac_hi"; do
12052 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
12053 cat >conftest.$ac_ext <<_ACEOF
12054/* confdefs.h. */
12055_ACEOF
12056cat confdefs.h >>conftest.$ac_ext
12057cat >>conftest.$ac_ext <<_ACEOF
12058/* end confdefs.h. */
12059$ac_includes_default
12060int
12061main ()
12062{
12063static int test_array [1 - 2 * !(((long) (sizeof (char))) <= $ac_mid)];
12064test_array [0] = 0
12065
12066 ;
12067 return 0;
12068}
12069_ACEOF
12070rm -f conftest.$ac_objext
12071if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12072 (eval $ac_compile) 2>conftest.er1
12073 ac_status=$?
12074 grep -v '^ *+' conftest.er1 >conftest.err
12075 rm -f conftest.er1
12076 cat conftest.err >&5
12077 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12078 (exit $ac_status); } &&
12079 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12080 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12081 (eval $ac_try) 2>&5
12082 ac_status=$?
12083 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12084 (exit $ac_status); }; } &&
12085 { ac_try='test -s conftest.$ac_objext'
12086 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12087 (eval $ac_try) 2>&5
12088 ac_status=$?
12089 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12090 (exit $ac_status); }; }; then
12091 ac_hi=$ac_mid
12092else
12093 echo "$as_me: failed program was:" >&5
12094sed 's/^/| /' conftest.$ac_ext >&5
12095
12096ac_lo=`expr '(' $ac_mid ')' + 1`
12097fi
12098rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12099done
12100case $ac_lo in
12101?*) ac_cv_sizeof_char=$ac_lo;;
12102'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (char), 77
12103See \`config.log' for more details." >&5
12104echo "$as_me: error: cannot compute sizeof (char), 77
12105See \`config.log' for more details." >&2;}
12106 { (exit 1); exit 1; }; } ;;
12107esac
12108else
12109 if test "$cross_compiling" = yes; then
12110 { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
12111echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
12112 { (exit 1); exit 1; }; }
12113else
12114 cat >conftest.$ac_ext <<_ACEOF
12115/* confdefs.h. */
12116_ACEOF
12117cat confdefs.h >>conftest.$ac_ext
12118cat >>conftest.$ac_ext <<_ACEOF
12119/* end confdefs.h. */
12120$ac_includes_default
12121long longval () { return (long) (sizeof (char)); }
12122unsigned long ulongval () { return (long) (sizeof (char)); }
12123#include <stdio.h>
12124#include <stdlib.h>
12125int
12126main ()
12127{
12128
12129 FILE *f = fopen ("conftest.val", "w");
12130 if (! f)
12131 exit (1);
12132 if (((long) (sizeof (char))) < 0)
12133 {
12134 long i = longval ();
12135 if (i != ((long) (sizeof (char))))
12136 exit (1);
12137 fprintf (f, "%ld\n", i);
12138 }
12139 else
12140 {
12141 unsigned long i = ulongval ();
12142 if (i != ((long) (sizeof (char))))
12143 exit (1);
12144 fprintf (f, "%lu\n", i);
12145 }
12146 exit (ferror (f) || fclose (f) != 0);
12147
12148 ;
12149 return 0;
12150}
12151_ACEOF
12152rm -f conftest$ac_exeext
12153if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12154 (eval $ac_link) 2>&5
12155 ac_status=$?
12156 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12157 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
12158 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12159 (eval $ac_try) 2>&5
12160 ac_status=$?
12161 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12162 (exit $ac_status); }; }; then
12163 ac_cv_sizeof_char=`cat conftest.val`
12164else
12165 echo "$as_me: program exited with status $ac_status" >&5
12166echo "$as_me: failed program was:" >&5
12167sed 's/^/| /' conftest.$ac_ext >&5
12168
12169( exit $ac_status )
12170{ { echo "$as_me:$LINENO: error: cannot compute sizeof (char), 77
12171See \`config.log' for more details." >&5
12172echo "$as_me: error: cannot compute sizeof (char), 77
12173See \`config.log' for more details." >&2;}
12174 { (exit 1); exit 1; }; }
12175fi
12176rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
12177fi
12178fi
12179rm -f conftest.val
12180else
12181 ac_cv_sizeof_char=0
12182fi
12183fi
12184echo "$as_me:$LINENO: result: $ac_cv_sizeof_char" >&5
12185echo "${ECHO_T}$ac_cv_sizeof_char" >&6
12186cat >>confdefs.h <<_ACEOF
12187#define SIZEOF_CHAR $ac_cv_sizeof_char
12188_ACEOF
12189
12190
12191echo "$as_me:$LINENO: checking for short" >&5 11802echo "$as_me:$LINENO: checking for short" >&5
12192echo $ECHO_N "checking for short... $ECHO_C" >&6 11803echo $ECHO_N "checking for short... $ECHO_C" >&6
12193if test "${ac_cv_type_short+set}" = set; then 11804if test "${ac_cv_type_short+set}" = set; then
12194 echo $ECHO_N "(cached) $ECHO_C" >&6 11805 echo $ECHO_N "(cached) $ECHO_C" >&6
12195else 11806else
12995fi 12606fi
12996echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5 12607echo "$as_me:$LINENO: result: $ac_cv_sizeof_int" >&5
12997echo "${ECHO_T}$ac_cv_sizeof_int" >&6 12608echo "${ECHO_T}$ac_cv_sizeof_int" >&6
12998cat >>confdefs.h <<_ACEOF 12609cat >>confdefs.h <<_ACEOF
12999#define SIZEOF_INT $ac_cv_sizeof_int 12610#define SIZEOF_INT $ac_cv_sizeof_int
13000_ACEOF
13001
13002
13003echo "$as_me:$LINENO: checking for long" >&5
13004echo $ECHO_N "checking for long... $ECHO_C" >&6
13005if test "${ac_cv_type_long+set}" = set; then
13006 echo $ECHO_N "(cached) $ECHO_C" >&6
13007else
13008 cat >conftest.$ac_ext <<_ACEOF
13009/* confdefs.h. */
13010_ACEOF
13011cat confdefs.h >>conftest.$ac_ext
13012cat >>conftest.$ac_ext <<_ACEOF
13013/* end confdefs.h. */
13014$ac_includes_default
13015int
13016main ()
13017{
13018if ((long *) 0)
13019 return 0;
13020if (sizeof (long))
13021 return 0;
13022 ;
13023 return 0;
13024}
13025_ACEOF
13026rm -f conftest.$ac_objext
13027if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13028 (eval $ac_compile) 2>conftest.er1
13029 ac_status=$?
13030 grep -v '^ *+' conftest.er1 >conftest.err
13031 rm -f conftest.er1
13032 cat conftest.err >&5
13033 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13034 (exit $ac_status); } &&
13035 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13036 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13037 (eval $ac_try) 2>&5
13038 ac_status=$?
13039 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13040 (exit $ac_status); }; } &&
13041 { ac_try='test -s conftest.$ac_objext'
13042 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13043 (eval $ac_try) 2>&5
13044 ac_status=$?
13045 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13046 (exit $ac_status); }; }; then
13047 ac_cv_type_long=yes
13048else
13049 echo "$as_me: failed program was:" >&5
13050sed 's/^/| /' conftest.$ac_ext >&5
13051
13052ac_cv_type_long=no
13053fi
13054rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13055fi
13056echo "$as_me:$LINENO: result: $ac_cv_type_long" >&5
13057echo "${ECHO_T}$ac_cv_type_long" >&6
13058
13059echo "$as_me:$LINENO: checking size of long" >&5
13060echo $ECHO_N "checking size of long... $ECHO_C" >&6
13061if test "${ac_cv_sizeof_long+set}" = set; then
13062 echo $ECHO_N "(cached) $ECHO_C" >&6
13063else
13064 if test "$ac_cv_type_long" = yes; then
13065 # The cast to unsigned long works around a bug in the HP C Compiler
13066 # version HP92453-01 B.11.11.23709.GP, which incorrectly rejects
13067 # declarations like `int a3[[(sizeof (unsigned char)) >= 0]];'.
13068 # This bug is HP SR number 8606223364.
13069 if test "$cross_compiling" = yes; then
13070 # Depending upon the size, compute the lo and hi bounds.
13071cat >conftest.$ac_ext <<_ACEOF
13072/* confdefs.h. */
13073_ACEOF
13074cat confdefs.h >>conftest.$ac_ext
13075cat >>conftest.$ac_ext <<_ACEOF
13076/* end confdefs.h. */
13077$ac_includes_default
13078int
13079main ()
13080{
13081static int test_array [1 - 2 * !(((long) (sizeof (long))) >= 0)];
13082test_array [0] = 0
13083
13084 ;
13085 return 0;
13086}
13087_ACEOF
13088rm -f conftest.$ac_objext
13089if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13090 (eval $ac_compile) 2>conftest.er1
13091 ac_status=$?
13092 grep -v '^ *+' conftest.er1 >conftest.err
13093 rm -f conftest.er1
13094 cat conftest.err >&5
13095 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13096 (exit $ac_status); } &&
13097 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13098 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13099 (eval $ac_try) 2>&5
13100 ac_status=$?
13101 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13102 (exit $ac_status); }; } &&
13103 { ac_try='test -s conftest.$ac_objext'
13104 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13105 (eval $ac_try) 2>&5
13106 ac_status=$?
13107 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13108 (exit $ac_status); }; }; then
13109 ac_lo=0 ac_mid=0
13110 while :; do
13111 cat >conftest.$ac_ext <<_ACEOF
13112/* confdefs.h. */
13113_ACEOF
13114cat confdefs.h >>conftest.$ac_ext
13115cat >>conftest.$ac_ext <<_ACEOF
13116/* end confdefs.h. */
13117$ac_includes_default
13118int
13119main ()
13120{
13121static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
13122test_array [0] = 0
13123
13124 ;
13125 return 0;
13126}
13127_ACEOF
13128rm -f conftest.$ac_objext
13129if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13130 (eval $ac_compile) 2>conftest.er1
13131 ac_status=$?
13132 grep -v '^ *+' conftest.er1 >conftest.err
13133 rm -f conftest.er1
13134 cat conftest.err >&5
13135 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13136 (exit $ac_status); } &&
13137 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13138 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13139 (eval $ac_try) 2>&5
13140 ac_status=$?
13141 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13142 (exit $ac_status); }; } &&
13143 { ac_try='test -s conftest.$ac_objext'
13144 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13145 (eval $ac_try) 2>&5
13146 ac_status=$?
13147 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13148 (exit $ac_status); }; }; then
13149 ac_hi=$ac_mid; break
13150else
13151 echo "$as_me: failed program was:" >&5
13152sed 's/^/| /' conftest.$ac_ext >&5
13153
13154ac_lo=`expr $ac_mid + 1`
13155 if test $ac_lo -le $ac_mid; then
13156 ac_lo= ac_hi=
13157 break
13158 fi
13159 ac_mid=`expr 2 '*' $ac_mid + 1`
13160fi
13161rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13162 done
13163else
13164 echo "$as_me: failed program was:" >&5
13165sed 's/^/| /' conftest.$ac_ext >&5
13166
13167cat >conftest.$ac_ext <<_ACEOF
13168/* confdefs.h. */
13169_ACEOF
13170cat confdefs.h >>conftest.$ac_ext
13171cat >>conftest.$ac_ext <<_ACEOF
13172/* end confdefs.h. */
13173$ac_includes_default
13174int
13175main ()
13176{
13177static int test_array [1 - 2 * !(((long) (sizeof (long))) < 0)];
13178test_array [0] = 0
13179
13180 ;
13181 return 0;
13182}
13183_ACEOF
13184rm -f conftest.$ac_objext
13185if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13186 (eval $ac_compile) 2>conftest.er1
13187 ac_status=$?
13188 grep -v '^ *+' conftest.er1 >conftest.err
13189 rm -f conftest.er1
13190 cat conftest.err >&5
13191 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13192 (exit $ac_status); } &&
13193 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13194 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13195 (eval $ac_try) 2>&5
13196 ac_status=$?
13197 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13198 (exit $ac_status); }; } &&
13199 { ac_try='test -s conftest.$ac_objext'
13200 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13201 (eval $ac_try) 2>&5
13202 ac_status=$?
13203 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13204 (exit $ac_status); }; }; then
13205 ac_hi=-1 ac_mid=-1
13206 while :; do
13207 cat >conftest.$ac_ext <<_ACEOF
13208/* confdefs.h. */
13209_ACEOF
13210cat confdefs.h >>conftest.$ac_ext
13211cat >>conftest.$ac_ext <<_ACEOF
13212/* end confdefs.h. */
13213$ac_includes_default
13214int
13215main ()
13216{
13217static int test_array [1 - 2 * !(((long) (sizeof (long))) >= $ac_mid)];
13218test_array [0] = 0
13219
13220 ;
13221 return 0;
13222}
13223_ACEOF
13224rm -f conftest.$ac_objext
13225if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13226 (eval $ac_compile) 2>conftest.er1
13227 ac_status=$?
13228 grep -v '^ *+' conftest.er1 >conftest.err
13229 rm -f conftest.er1
13230 cat conftest.err >&5
13231 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13232 (exit $ac_status); } &&
13233 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13234 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13235 (eval $ac_try) 2>&5
13236 ac_status=$?
13237 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13238 (exit $ac_status); }; } &&
13239 { ac_try='test -s conftest.$ac_objext'
13240 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13241 (eval $ac_try) 2>&5
13242 ac_status=$?
13243 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13244 (exit $ac_status); }; }; then
13245 ac_lo=$ac_mid; break
13246else
13247 echo "$as_me: failed program was:" >&5
13248sed 's/^/| /' conftest.$ac_ext >&5
13249
13250ac_hi=`expr '(' $ac_mid ')' - 1`
13251 if test $ac_mid -le $ac_hi; then
13252 ac_lo= ac_hi=
13253 break
13254 fi
13255 ac_mid=`expr 2 '*' $ac_mid`
13256fi
13257rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13258 done
13259else
13260 echo "$as_me: failed program was:" >&5
13261sed 's/^/| /' conftest.$ac_ext >&5
13262
13263ac_lo= ac_hi=
13264fi
13265rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13266fi
13267rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13268# Binary search between lo and hi bounds.
13269while test "x$ac_lo" != "x$ac_hi"; do
13270 ac_mid=`expr '(' $ac_hi - $ac_lo ')' / 2 + $ac_lo`
13271 cat >conftest.$ac_ext <<_ACEOF
13272/* confdefs.h. */
13273_ACEOF
13274cat confdefs.h >>conftest.$ac_ext
13275cat >>conftest.$ac_ext <<_ACEOF
13276/* end confdefs.h. */
13277$ac_includes_default
13278int
13279main ()
13280{
13281static int test_array [1 - 2 * !(((long) (sizeof (long))) <= $ac_mid)];
13282test_array [0] = 0
13283
13284 ;
13285 return 0;
13286}
13287_ACEOF
13288rm -f conftest.$ac_objext
13289if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
13290 (eval $ac_compile) 2>conftest.er1
13291 ac_status=$?
13292 grep -v '^ *+' conftest.er1 >conftest.err
13293 rm -f conftest.er1
13294 cat conftest.err >&5
13295 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13296 (exit $ac_status); } &&
13297 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
13298 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13299 (eval $ac_try) 2>&5
13300 ac_status=$?
13301 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13302 (exit $ac_status); }; } &&
13303 { ac_try='test -s conftest.$ac_objext'
13304 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13305 (eval $ac_try) 2>&5
13306 ac_status=$?
13307 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13308 (exit $ac_status); }; }; then
13309 ac_hi=$ac_mid
13310else
13311 echo "$as_me: failed program was:" >&5
13312sed 's/^/| /' conftest.$ac_ext >&5
13313
13314ac_lo=`expr '(' $ac_mid ')' + 1`
13315fi
13316rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
13317done
13318case $ac_lo in
13319?*) ac_cv_sizeof_long=$ac_lo;;
13320'') { { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
13321See \`config.log' for more details." >&5
13322echo "$as_me: error: cannot compute sizeof (long), 77
13323See \`config.log' for more details." >&2;}
13324 { (exit 1); exit 1; }; } ;;
13325esac
13326else
13327 if test "$cross_compiling" = yes; then
13328 { { echo "$as_me:$LINENO: error: internal error: not reached in cross-compile" >&5
13329echo "$as_me: error: internal error: not reached in cross-compile" >&2;}
13330 { (exit 1); exit 1; }; }
13331else
13332 cat >conftest.$ac_ext <<_ACEOF
13333/* confdefs.h. */
13334_ACEOF
13335cat confdefs.h >>conftest.$ac_ext
13336cat >>conftest.$ac_ext <<_ACEOF
13337/* end confdefs.h. */
13338$ac_includes_default
13339long longval () { return (long) (sizeof (long)); }
13340unsigned long ulongval () { return (long) (sizeof (long)); }
13341#include <stdio.h>
13342#include <stdlib.h>
13343int
13344main ()
13345{
13346
13347 FILE *f = fopen ("conftest.val", "w");
13348 if (! f)
13349 exit (1);
13350 if (((long) (sizeof (long))) < 0)
13351 {
13352 long i = longval ();
13353 if (i != ((long) (sizeof (long))))
13354 exit (1);
13355 fprintf (f, "%ld\n", i);
13356 }
13357 else
13358 {
13359 unsigned long i = ulongval ();
13360 if (i != ((long) (sizeof (long))))
13361 exit (1);
13362 fprintf (f, "%lu\n", i);
13363 }
13364 exit (ferror (f) || fclose (f) != 0);
13365
13366 ;
13367 return 0;
13368}
13369_ACEOF
13370rm -f conftest$ac_exeext
13371if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13372 (eval $ac_link) 2>&5
13373 ac_status=$?
13374 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13375 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
13376 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
13377 (eval $ac_try) 2>&5
13378 ac_status=$?
13379 echo "$as_me:$LINENO: \$? = $ac_status" >&5
13380 (exit $ac_status); }; }; then
13381 ac_cv_sizeof_long=`cat conftest.val`
13382else
13383 echo "$as_me: program exited with status $ac_status" >&5
13384echo "$as_me: failed program was:" >&5
13385sed 's/^/| /' conftest.$ac_ext >&5
13386
13387( exit $ac_status )
13388{ { echo "$as_me:$LINENO: error: cannot compute sizeof (long), 77
13389See \`config.log' for more details." >&5
13390echo "$as_me: error: cannot compute sizeof (long), 77
13391See \`config.log' for more details." >&2;}
13392 { (exit 1); exit 1; }; }
13393fi
13394rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
13395fi
13396fi
13397rm -f conftest.val
13398else
13399 ac_cv_sizeof_long=0
13400fi
13401fi
13402echo "$as_me:$LINENO: result: $ac_cv_sizeof_long" >&5
13403echo "${ECHO_T}$ac_cv_sizeof_long" >&6
13404cat >>confdefs.h <<_ACEOF
13405#define SIZEOF_LONG $ac_cv_sizeof_long
13406_ACEOF 12611_ACEOF
13407 12612
13408 12613
13409echo "$as_me:$LINENO: checking for long long" >&5 12614echo "$as_me:$LINENO: checking for long long" >&5
13410echo $ECHO_N "checking for long long... $ECHO_C" >&6 12615echo $ECHO_N "checking for long long... $ECHO_C" >&6
16809cat >>confdefs.h <<\_ACEOF 16014cat >>confdefs.h <<\_ACEOF
16810#define ENABLE_FRILLS 1 16015#define ENABLE_FRILLS 1
16811_ACEOF 16016_ACEOF
16812 16017
16813fi 16018fi
16814if test x$support_linespace = xno; then
16815
16816cat >>confdefs.h <<\_ACEOF
16817#define NO_LINESPACE 1
16818_ACEOF
16819
16820fi
16821if test x$support_24bit = xyes; then 16019if test x$support_24bit = xyes; then
16822 16020
16823cat >>confdefs.h <<\_ACEOF 16021cat >>confdefs.h <<\_ACEOF
16824#define PREFER_24BIT 1 16022#define PREFER_24BIT 1
16825_ACEOF 16023_ACEOF
17102 include_time_h="#include <time.h>" 16300 include_time_h="#include <time.h>"
17103else 16301else
17104 include_time_h="/* #include <time.h> */" 16302 include_time_h="/* #include <time.h> */"
17105fi 16303fi
17106 16304
17107 ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/test/Makefile src/rxvtlib.h W11/Makefile" 16305 ac_config_files="$ac_config_files autoconf/Make.common Makefile doc/Makefile src/Makefile src/rxvtlib.h"
17108 16306
17109cat >confcache <<\_ACEOF 16307cat >confcache <<\_ACEOF
17110# This file is a shell script that caches the results of configure 16308# This file is a shell script that caches the results of configure
17111# tests run on this system so they can be shared between configure 16309# tests run on this system so they can be shared between configure
17112# scripts and configure runs, see configure's option --config-cache. 16310# scripts and configure runs, see configure's option --config-cache.
17633 # Handling of arguments. 16831 # Handling of arguments.
17634 "autoconf/Make.common" ) CONFIG_FILES="$CONFIG_FILES autoconf/Make.common" ;; 16832 "autoconf/Make.common" ) CONFIG_FILES="$CONFIG_FILES autoconf/Make.common" ;;
17635 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;; 16833 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
17636 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;; 16834 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
17637 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;; 16835 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
17638 "src/test/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/test/Makefile" ;;
17639 "src/rxvtlib.h" ) CONFIG_FILES="$CONFIG_FILES src/rxvtlib.h" ;; 16836 "src/rxvtlib.h" ) CONFIG_FILES="$CONFIG_FILES src/rxvtlib.h" ;;
17640 "W11/Makefile" ) CONFIG_FILES="$CONFIG_FILES W11/Makefile" ;;
17641 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:autoconf/config.h.in" ;; 16837 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:autoconf/config.h.in" ;;
17642 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 16838 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
17643echo "$as_me: error: invalid argument: $ac_config_target" >&2;} 16839echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
17644 { (exit 1); exit 1; }; };; 16840 { (exit 1); exit 1; }; };;
17645 esac 16841 esac
17721s,@DEFS@,$DEFS,;t t 16917s,@DEFS@,$DEFS,;t t
17722s,@ECHO_C@,$ECHO_C,;t t 16918s,@ECHO_C@,$ECHO_C,;t t
17723s,@ECHO_N@,$ECHO_N,;t t 16919s,@ECHO_N@,$ECHO_N,;t t
17724s,@ECHO_T@,$ECHO_T,;t t 16920s,@ECHO_T@,$ECHO_T,;t t
17725s,@LIBS@,$LIBS,;t t 16921s,@LIBS@,$LIBS,;t t
16922s,@build@,$build,;t t
16923s,@build_cpu@,$build_cpu,;t t
16924s,@build_vendor@,$build_vendor,;t t
16925s,@build_os@,$build_os,;t t
16926s,@host@,$host,;t t
16927s,@host_cpu@,$host_cpu,;t t
16928s,@host_vendor@,$host_vendor,;t t
16929s,@host_os@,$host_os,;t t
17726s,@VERSION@,$VERSION,;t t 16930s,@VERSION@,$VERSION,;t t
17727s,@DATE@,$DATE,;t t 16931s,@DATE@,$DATE,;t t
17728s,@LSMDATE@,$LSMDATE,;t t 16932s,@LSMDATE@,$LSMDATE,;t t
17729s,@LIBVERSION@,$LIBVERSION,;t t 16933s,@LIBVERSION@,$LIBVERSION,;t t
17730s,@CC@,$CC,;t t 16934s,@CC@,$CC,;t t
17743s,@INSTALL_DATA@,$INSTALL_DATA,;t t 16947s,@INSTALL_DATA@,$INSTALL_DATA,;t t
17744s,@AWK@,$AWK,;t t 16948s,@AWK@,$AWK,;t t
17745s,@LINKER@,$LINKER,;t t 16949s,@LINKER@,$LINKER,;t t
17746s,@CXXCPP@,$CXXCPP,;t t 16950s,@CXXCPP@,$CXXCPP,;t t
17747s,@EGREP@,$EGREP,;t t 16951s,@EGREP@,$EGREP,;t t
17748s,@build@,$build,;t t
17749s,@build_cpu@,$build_cpu,;t t
17750s,@build_vendor@,$build_vendor,;t t
17751s,@build_os@,$build_os,;t t
17752s,@host@,$host,;t t
17753s,@host_cpu@,$host_cpu,;t t
17754s,@host_vendor@,$host_vendor,;t t
17755s,@host_os@,$host_os,;t t
17756s,@LN_S@,$LN_S,;t t 16952s,@LN_S@,$LN_S,;t t
17757s,@ECHO@,$ECHO,;t t 16953s,@ECHO@,$ECHO,;t t
17758s,@RANLIB@,$RANLIB,;t t 16954s,@RANLIB@,$RANLIB,;t t
17759s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t 16955s,@ac_ct_RANLIB@,$ac_ct_RANLIB,;t t
17760s,@STRIP@,$STRIP,;t t 16956s,@STRIP@,$STRIP,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines